Subject: Re: bug#57379: GUI toolkit for Guile 3.0?

From: Lee Thomas <[email-masked]>
Date: Fri, 26 Aug 2022 13:03:09 -0700

Thank you greatly, David. I cleaned up my guix environment and reinstalled
G-Golf, and now the hello world script runs but hangs after these errors:

(g-golf-hello-world.scm:494347): GLib-GObject-WARNING **: 12:37:46.818:
cannot register existing type 'GdkPixbuf'

(g-golf-hello-world.scm:494347): GLib-GObject-CRITICAL **: 12:37:46.818:
g_type_add_interface_static: assertion 'G_TYPE_IS_INSTANTIATABLE
(instance_type)' failed

(g-golf-hello-world.scm:494347): GLib-GObject-CRITICAL **: 12:37:46.818:
g_type_add_interface_static: assertion 'G_TYPE_IS_INSTANTIATABLE
(instance_type)' failed

(g-golf-hello-world.scm:494347): GLib-CRITICAL **: 12:37:46.818:
g_once_init_leave: assertion 'result != 0' failed

So I assume I haven't fixed the guix environment completely yet, but I'm
still working on that. The guix toolset is advertised to manage all the
interdependencies, but I'm not certain that it works in every situation.
I'll keep trying, though. Thanks again.

On Thu, Aug 25, 2022 at 7:27 PM David Pirotte <[email-masked]> wrote:

> Hello Lee,
>
> > David, I was able to install G-Golf via guix, and that also worked
> > with the "use-modules" portion of your "Hello, World!" example.
>
> > HOWEVER (alas), both examples fail on the "use-typelibs" line, with:
> > Typelib file for namespace 'Gtk', version '4.0' not found
>
> This is a guix 'problem' [1], please try to get some help on guix-user
> ML, or if you have on irc:      irc.libera.chat (channel) #guix
>
> > In trying to resolve that error myself, I found that the guile manual
> > has no entry for "use-typelib" in the Procedures Index. :-/  I'll
> > submit that bug in a new email, after confirming there's not already
> > a thread.
>
> No, there is no 'use-typelib, as you can read in each example, the
> procedure call is:
>
>         (g-irepository-require "Gtk" #:version "4.0")
>         [ the manual has an entry for g-irepository-require
>
> So, with this in mind, the error message is 'correct'. Note that it
> would also fail if there is a tipo in the namespace, or if you refer to
> a version that does not exist ...
>
> > Oh, and David, https://www.gnu.org/software/g-golf/index.html has a
> > link for Typelib that 404s. I would suggest a fix, but I couldn't
> > easily find one, sorry.
>
> Thanks, I'll look at this.
>
> David
>
> [1]     I mean you need to find the name of the package and install
> it, this is not a G-Golf dependency, it is only needed if you wish t
> run those examples, which are mini apps, not part of the G-Golf core
> lib ... so to speak, it is 'user dependency' ... I think guix has Gtk-4+
> packages, including the package that 'has' the typelib, but I don't use
> guix, so i am unable to give you precise guidance ... the #guix channel
> is extremely responsive, helpful, and very friendly, so don't be
> scared to ask ...
>